Bug 1314871 - [RFE][M-5] Single E-mail Variables Location
Summary: [RFE][M-5] Single E-mail Variables Location
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.5.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: MVP
: 5.10.0
Assignee: William Fitzgerald
QA Contact: Dmitry Misharov
URL:
Whiteboard: automate:email
Depends On:
Blocks: 1555371
TreeView+ depends on / blocked
 
Reported: 2016-03-04 17:52 UTC by Dustin Scott
Modified: 2019-02-07 23:02 UTC (History)
14 users (show)

Fixed In Version: 5.10.0.0
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:02:13 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:02:31 UTC

Description Dustin Scott 2016-03-04 17:52:17 UTC
-What is the nature and description of the request?
Centralize the to_email_address, from_email_address, and signature variables in the Automate domain in one single spot.  
  
-Why does the customer need this? (List the business requirements here)
Currently, those variables are located in several different places, which makes it difficult to figure out the proper variable to modify to change the behavior of e-mails during provisioning.
  
-How would the customer like to achieve this? (List the functional requirements here)
Have a centralized variables domain or namespace that holds these variables.  Or possibly an option in the configuration section of the appliance that could hold these variables.
  
-For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
Change the variable in whichever location is put into a CFME GA release.  Confirm that the e-mail address matches the input variable.
  
-Is there already an existing RFE upstream or in Red Hat Bugzilla?
I have not found one.
  
-Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
Before the customer goes into production.  This is tentatively scheduled for now depending on the success of the current implementation in development.
  
-Is the sales team involved in this request and do they have any additional input?
Yes, sales in involved.  Input pending depending on future meeting.
  
-List any affected packages or components.
cfme-appliance-5.5.2.4-1.el7cf.x86_64
cfme-5.5.2.4-1.el7cf.x86_64

Comment 4 William Fitzgerald 2018-06-07 16:40:57 UTC
https://github.com/ManageIQ/manageiq-content/pull/311 was merged and Email is complete.

Comment 5 Dmitry Misharov 2018-06-26 13:24:00 UTC
Verified in 5.10.0.1.20180619163011_900fdc4. All email instances are in /System/Notification/Email

Comment 7 errata-xmlrpc 2019-02-07 23:02:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.